#------------------------------------------------------------
# Profile for Philips Streamium.
# See PS3.conf for a description of all possible configuration options.
#

#------------------------------------------------------------
# General informations / detection

RendererName=Streamium
RendererIcon=streamium.png

#UserAgent: regular expression to detect the connected renderer
UserAgentSearch=KnOS/3.2
# bridgeCo-DMP/3.0 DLNADOC/1.50 INTEL_NMPR/2.0

#Basic capabilities
Video=false
Audio=true
Image=false

#------------------------------------------------------------
# DLNA settings

#Use the DLNA feature seek by time and not by range
SeekByTime=false

#------------------------------------------------------------
# Transcoding/Muxing capabilities
#

#Transcode profiles for video and audio engines
#currently supported: MPEGPSAC3, MPEGTSAC3 or WMV for video, LPCM, WAV or MP3 for audio 
TranscodeVideo=MPEGPSAC3
TranscodeAudio=WAV

#Use default DVD buffer size: false = greater bitrate and faster encoding,
#but can generate incompatible videos, depends of your media renderer
DefaultVBVBufSize=false

#Muxing capabilities: Does the media renderer supports H264 and MPEG2 in a mpegts file ?
MuxH264ToMpegTS=true

#Does the media renderer supports DTS in a mpeg file ?
MuxDTSToMpeg=false

#Does the media renderer supports DTS wrapped into LPCM in a mpeg file ?
WrapDTSIntoPCM=true

#Does the media renderer supports LPCM in a mpeg file ?
MuxLPCMToMpeg=true

#Maximum bitrate supported by the media renderer (0=unlimited)
MaxVideoBitrateMbps=0

#Max Width and Height supported by the media renderer (0=unlimited)
MaxVideoWidth=0
MaxVideoHeight=0

#Does the media renderer supports only H264 L4.1 at most ?
H264Level41Limited=true

#------------------------------------------------------------
# Misc Files

# Mime types transforms (oldmime=newmime|olemime2=newmime2|...)
MimeTypesChanges=video/avi=video/x-divx

# Extensions management: no need to put something here, as the server's default configuration is tuned for ps3
# What extensions are forcefully transcoded
TranscodeExtensions=
# What extensions are forcefully streamed as is (and not transcoded)
StreamExtensions=m4a,wma,mp3,mp4,flac